<?php

	class Unique{

		public static function generate(){
			$alpha = 'abcdefghijklmnopqrstuvwxyz0123456789';
			$ref = strtotime(date('Ymdhis'));
			$ref = str_shuffle($ref);
			$ref = str_shuffle($ref) . str_shuffle($alpha) . str_shuffle($alpha);
			$ref = substr(str_shuffle($ref), 0, 45);

			return $ref;
		}

		public static function ref(){
			$alpha = '0123456789';
			$ref = strtotime(date('Ymdhis'));
			$ref = str_shuffle($ref);
			$ref = str_shuffle($ref) . str_shuffle($alpha);
			$ref = substr(str_shuffle($ref), 0, 10);

			return $ref;
		}

		public static function otp(){
			$alpha = '0123456789';
			$ref = strtotime(date('Ymdhis'));
			$ref = str_shuffle($ref);
			$ref = str_shuffle($ref) . str_shuffle($alpha);
			$ref = substr(str_shuffle($ref), 0, 4);

			return $ref;
		}
	}

?>
